API ReferenceWidget Dashboards
Get All
List all widget dashboards.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
page?number
The page number to return.
Format
doublepageSize?number
The number of results to return per page.
Format
doublesource?string
Filter by source.
Value in
- "all"
- "company"
- "system"
- "favorites"
Response Body
application/json
Try it live
curl -X GET "https://example.com/widgets/dashboards"{ "data": [ { "id": "string", "title": { "en": "string", "es": "string" }, "description": { "en": "string", "es": "string" }, "spec": { "property1": null, "property2": null }, "isSystem": true, "isFavorited": true, "instances": [ { "id": "string", "widgetId": "string", "dashboardId": "string", "specOverride": { "property1": null, "property2": null }, "visualConfig": { "property1": null, "property2": null }, "widget": { "id": "string", "title": { "en": "string", "es": "string" }, "description": { "en": "string", "es": "string" }, "spec": { "property1": null, "property2": null }, "isSystem": true, "isFavorited": true, "featureRequirements": "string", "labels": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "thumbnailUrl": "string", "compressedThumbnailUrl": "string" }, "createdAt": "string", "updatedAt": "string", "deletedAt": "string" } ], "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "archivedAt": "string", "thumbnailUrl": "string", "compressedThumbnailUrl": "string" } ], "totalItems": 0.1}